@import "variables";

$button-spacing: 12px;

.btn {
  margin-left: $button-spacing;
  padding: $button-spacing;
  border-radius: 24px;
  border: none;
  min-width: 120px;
  color: $color-white;
  cursor: pointer;
  outline: none;

  &--red {
    background: $color-error;
    &:hover {
      background-color: rgba($color-error, 0.8);
    }
  }
  &--green {
    background: $color-success;
    &:hover {
      background-color: rgba($color-success, 0.8);
    }
  }
  &--blue {
    background: $color-blue;
    &:hover {
      background-color: rgba($color-blue, 0.8);
    }
  }

  &:disabled {
    background: $color-grey-lighter;
    cursor: not-allowed;
  }
}
